### Tables.jl

[![Build Status](https://github.com/JuliaData/Tables.jl/workflows/CI/badge.svg)](https://github.com/JuliaData/Tables.jl/actions?query=workflow%3ACI+branch%3Amaster)
[![Codecov](https://codecov.io/gh/JuliaData/Tables.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaData/Tables.jl)
[![deps](https://juliahub.com/docs/Tables/deps.svg)](https://juliahub.com/ui/Packages/Tables/Z804B?t=2)
[![version](https://juliahub.com/docs/Tables/version.svg)](https://juliahub.com/ui/Packages/Tables/Z804B)
[![pkgeval](https://juliahub.com/docs/Tables/pkgeval.svg)](https://juliahub.com/ui/Packages/Tables/Z804B)

The Tables.jl package provides simple, yet powerful interface functions for working with all kinds tabular data.

**Installation**: at the Julia REPL, `import Pkg; Pkg.add("Tables")`

**Maintenance**: Tables is maintained collectively by the [JuliaData collaborators](https://github.com/orgs/JuliaData/people).
Responsiveness to pull requests and issues can vary, depending on the availability of key collaborators.

### Documentation

[![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://juliadata.github.io/Tables.jl/stable)
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://juliadata.github.io/Tables.jl/dev)

List of packages which support Tables.jl interface can be found in [INTEGRATIONS.md](INTEGRATIONS.md).

### Additional Resources

Please refer to [TableOperations.jl](https://github.com/JuliaData/TableOperations.jl) for common table operations (`select`, `filter`, `transform`, `map`, etc.)

### Zenodo Link

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.4458977.svg)](https://doi.org/10.5281/zenodo.4458977)
